#
# spec file for package perl-Crypt-DES (Version 2.05)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Crypt-DES
Version:        2.05
Release:        12.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://www.cpan.org/modules/by-module/Crypt/
Summary:        Crypt::DES Perl Module
Source:         Crypt-DES-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An XS-based DES implementation for Perl.



Authors:
--------
    Eric Young (eay@mincom.oz.au)

%debug_package
%prep
%setup -n Crypt-DES-%{version} -q

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYRIGHT README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
/var/adm/perl-modules/%{name}

%changelog -n perl-Crypt-DES
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - anicka@suse.cz
- update to 2.05
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Aug 21 2003 - ro@suse.de
- remove perl-Crypt-CBC from neededforbuild (not really used)
* Mon Jul 14 2003 - mls@suse.de
- fix build
* Wed Jun 04 2003 - mjancar@suse.cz
- use $RPM_OPT_FLAGS
- add missing prototypes
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Mar 12 2002 - jantos@suse.cz
- Package created
